package com.queplix.core.client.app.vo;

import com.queplix.core.client.app.vo.chart.ChartType;

public class ChartFieldDataRequest extends BaseFieldDataRequest {

	private String chartName;
	private ChartType chartType;
	private boolean empty = false;
	
	public ChartFieldDataRequest(String fieldId, String chartName, boolean empty) {
        super(FieldType.CHART, fieldId);
		this.chartName = chartName;
		this.empty = empty;
	}
	
	public ChartFieldDataRequest() {
		this("", null, false);
	}
	
	public String getChartName() {
		return chartName;
	}

	public ChartType getChartType() {
		return chartType;
	}
	
	public void setChartType(ChartType chartType) {
		this.chartType = chartType;
	}

	public boolean isEmpty(){
		return empty;
	}

}
